VERSION 4.00
Begin VB.Form frmFishK1 
   Caption         =   "FishKurs 1 : Einfache Ampel"
   ClientHeight    =   5415
   ClientLeft      =   3525
   ClientTop       =   3210
   ClientWidth     =   7245
   Height          =   5820
   Icon            =   "FishK1.frx":0000
   Left            =   3465
   LinkTopic       =   "Form1"
   ScaleHeight     =   5415
   ScaleWidth      =   7245
   Top             =   2865
   Width           =   7365
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   495
      Left            =   3120
      TabIndex        =   1
      Top             =   4680
      Width           =   1695
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   495
      Left            =   5160
      TabIndex        =   0
      Top             =   4680
      Width           =   1815
   End
   Begin VB.Label lblHinweis 
      Caption         =   $"FishK1.frx":0442
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1935
      Left            =   840
      TabIndex        =   2
      Top             =   1080
      Width           =   5535
   End
End
Attribute VB_Name = "frmFishK1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
' -------------------------------------------------------------------------
'
' frmFishK1(FishK1.FRM)                              Ulrich Mller  23.6.98
'                                                    Dell XPS P90    VB4/32
' Einfhrung in die Programmierung von Fischertechnik Profi Computing
' unter Nutzung von FishFace am Beispiel einer Ampelsteuerung
'
' FishKurs 1 : Einfache Ampel
'
' erforderlich : FishF432.DLL
'              bei Einsatz des parallelen Interfaces zustzlich InOut32.DLL
'
' -------------------------------------------------------------------------

Option Explicit

Private ft As clsFishFace
Private PortName$, Ende As Boolean

' --- Konstanten fr Ampelsteuerung ---

Const LampeGrn = 1
Const LampeGelb = 2
Const LampeRot = 3


Private Sub cmdAction_Click()

Dim res%
 
  Set ft = New clsFishFace
  res = ft.OpenInterface(PortName, ShowPanel:=True)
  cmdAction.Enabled = False
  
  Do                                 ' --- Betriebsschleife ---
                                     '     Abbruch ber Button ENDE
                                     ' --- Ampelanzeige --
    ft.SetMotor LampeGrn, ftiEin    '     Grn, 3000
    ft.WaitForTime 3000
    ft.SetMotor LampeGrn, ftiAus
    ft.SetMotor LampeGelb, ftiEin    '     Gelb, 1000
    ft.WaitForTime 1000
    ft.SetMotor LampeGelb, ftiAus
    ft.SetMotor LampeRot, ftiEin     '     Rot, 3500
    ft.WaitForTime 3500
    ft.SetMotor LampeGelb, ftiEin    '     Rot/Gelb, 1000
    ft.WaitForTime 1000
    ft.SetMotor LampeRot, ftiAus
    ft.SetMotor LampeGelb, ftiAus
  Loop Until Ende
  
  ft.CloseInterface                  ' --- Schlieen Interface
  Set ft = Nothing
  End
  
End Sub

Private Sub cmdEnde_Click()

  If cmdAction.Enabled Then End
  Ende = True
  
End Sub


Private Sub Form_Load()

  PortName = UCase(InputBox("Bitte I/O-Port angeben : COM1 - COM4, LPT1 - LPT3. ", "FishKurs", "COM1"))
  Ende = False
  
End Sub


