VERSION 4.00
Begin VB.Form frmFishK2b 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "FishKurs 2b : Einfacher Fugngerberweg, bedarfsgesteuert"
   ClientHeight    =   5655
   ClientLeft      =   3060
   ClientTop       =   2955
   ClientWidth     =   7245
   Height          =   6060
   Icon            =   "FishK2b.frx":0000
   Left            =   3000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5655
   ScaleWidth      =   7245
   Top             =   2610
   Width           =   7365
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   495
      Left            =   3120
      TabIndex        =   1
      Top             =   4920
      Width           =   1695
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   495
      Left            =   5160
      TabIndex        =   0
      Top             =   4920
      Width           =   1815
   End
   Begin VB.Label lblHinweis 
      Caption         =   $"FishK2b.frx":000C
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1935
      Left            =   840
      TabIndex        =   2
      Top             =   1200
      Width           =   5535
   End
End
Attribute VB_Name = "frmFishK2b"
Attribute VB_Creatable = False
Attribute VB_Exposed = False


' -------------------------------------------------------------------------
'
' frmFishK2b(FishK2b.FRM)                            Ulrich Mller  23.6.98
'                                                    Dell XPS P90    VB4/32
' Einfhrung in die Programmierung von Fischertechnik Profi Computing
' unter Nutzung von FishFace am Beispiel einer Ampelsteuerung
'
' FishKurs 2b : Einfacher Fugngerberweg, Bedarfsteuerung
'
' erforderlich : FishF432.DLL
'              bei Einsatz des parallelen Interfaces zustzlich InOut32.DLL
'
' -------------------------------------------------------------------------

Option Explicit

Private ft As clsFishFace
Private PortName$, Ende As Boolean

Const LampeGrn = 1
Const LampeGelb = 2
Const LampeRot = 3
Const LampeFuGrn = 4

Const TasterFu = 1

Private WunschFuSperre As Boolean       ' --- Steuerung Fugngerzyklus



Private Sub FuZyklus()

' --- Zyklus Fugngerberweg ---

  WunschFuSperre = True
                                      
                                      '  Ampel       Fugnger
  ft.WaitForTime 1000                 '      Warten, 1000
  ft.SetMotor LampeGrn, ftiAus       '  Gelb, 1000
  ft.SetMotor LampeGelb, ftiEin
  ft.WaitForTime 1000
  ft.SetMotor LampeGelb, ftiAus
  ft.SetMotor LampeRot, ftiEin        '  Rot, 4500   Grn 3500
  ft.SetMotor LampeFuGrn, ftiEin
  ft.WaitForTime 3500
  ft.SetMotor LampeFuGrn, ftiAus
  ft.WaitForTime 1000
  ft.SetMotor LampeGelb, ftiEin       '  Rot/Gelb, 1000
  ft.WaitForTime 1000
  ft.SetMotor LampeRot, ftiAus
  ft.SetMotor LampeGelb, ftiAus
  ft.SetMotor LampeGrn, ftiEin       '  Grn, oo
  ft.WaitForTime 5000                 '  Wunschfusperre, 5000
  WunschFuSperre = False             '  --- Sperre Fuzyklus aufheben
  
End Sub


Private Sub cmdAction_Click()

' --- Ampelzyklus ---

Dim res%
  
  WunschFuSperre = True              ' --- Sperre Fugngerzyklus
  Set ft = New clsFishFace            '     whrend Startphase
  res = ft.OpenInterface(PortName)
  cmdAction.Enabled = False
  lblHinweis = "---- DIE ampel LUFT ----"
  ft.SetMotor LampeGrn, ftiEin
  WunschFuSperre = False             ' --- Ende Startphase
  
  Do
    If ft.GetInput(TasterFu) And Not WunschFuSperre Then FuZyklus
  Loop Until Ende
  ft.CloseInterface
  Set ft = Nothing
  End
  
End Sub

Private Sub cmdEnde_Click()

' --- Programm beenden ---

  If cmdAction.Enabled Then End
  Ende = True
  lblHinweis = "---- Das Ende naht ----"
  DoEvents
  
End Sub


Private Sub Form_Load()
  
  PortName = UCase(InputBox("Bitte I/O-Port angeben : COM1 - COM4, LPT1 - LPT3. ", "FishKurs", "COM1"))
  Ende = False
  
End Sub


